Update the Google play library to the lastest Google apiclient version

RESOLVED FIXED

Status

Release Engineering
Applications: MozharnessCore
RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: sylvestre, Assigned: sylvestre)

Tracking

other

Firefox Tracking Flags

(firefox50 fixed)

Details

MozReview Requests

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

(Assignee)

Description

2 years ago
Google updated his apiclient library. client.SignedJwtAssertionCredentials no longer available.
(Assignee)

Comment 1

2 years ago
Created attachment 8760060 [details]
Bug 1278103 - Google update their api client. Needs to update the client

Review commit: https://reviewboard.mozilla.org/r/57778/diff/#index_header
See other reviews: https://reviewboard.mozilla.org/r/57778/
(Assignee)

Updated

2 years ago
Attachment #8760060 - Flags: review?(jlund)
(Assignee)

Updated

2 years ago
Blocks: 1278104

Comment 2

2 years ago
Comment on attachment 8760060 [details]
Bug 1278103 - Google update their api client. Needs to update the client

https://reviewboard.mozilla.org/r/57778/#review54740

resetting r? until confirmed whether we need to upload 1.5 or not. otherwise looks good

::: testing/mozharness/requirements.txt:24
(Diff revision 1)
>  simplejson==2.1.1
>  unittest2==0.5.1
>  virtualenv==1.5.1
>  wsgiref==0.1.2
>  urllib3==1.9.1
> -google-api-python-client==1.3.1
> +google-api-python-client==1.5.0

I see 1.3 in the mozilla pypi repo. do we need to upload 1.5?

http://pypi.pub.build.mozilla.org/pub/
Attachment #8760060 - Flags: review?(jlund)
(Assignee)

Updated

2 years ago
Assignee: nobody → sledru
(Assignee)

Comment 4

2 years ago
Comment on attachment 8760060 [details]
Bug 1278103 - Google update their api client. Needs to update the client

Review request updated; see interdiff: https://reviewboard.mozilla.org/r/57778/diff/1-2/
Attachment #8760060 - Flags: review?(jlund)

Comment 5

2 years ago
(In reply to Sylvestre Ledru [:sylvestre] from comment #3)
> Yes, probably 1.5.1 even
> https://pypi.python.org/pypi/google-api-python-client/

uploaded and hash verified:

jlund@hastings-163:~/devel/mozilla/cleanRepos/braindump/utils
> curl -O http://pypi.pub.build.mozilla.org/pub/google-api-python-client-1.5.1.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 44894  100 44894    0     0  20604      0  0:00:02  0:00:02 --:--:-- 20612

jlund@hastings-163:~/devel/mozilla/cleanRepos/braindump/utils
> md5 google-api-python-client-1.5.1.tar.gz
MD5 (google-api-python-client-1.5.1.tar.gz) = 6fb1f0eff75f6dba88495ac7d5ece27c

Comment 6

2 years ago
Comment on attachment 8760060 [details]
Bug 1278103 - Google update their api client. Needs to update the client

https://reviewboard.mozilla.org/r/57778/#review56504
Attachment #8760060 - Flags: review?(jlund) → review+

Comment 7

2 years ago
Pushed by sledru@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/62a7c0592bb7
Google update their api client. Needs to update the client r=jlund

Comment 8

2 years ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/62a7c0592bb7
Status: NEW → RESOLVED
Last Resolved: 2 years ago
status-firefox50: --- → fixed
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.